
#ifndef _VIEWTUBE_LINE_LOOKUP_TABLES_H
#define _VIEWTUBE_LINE_LOOKUP_TABLES_H

#include "../viewtube_model.h"
#define VIEWTUBE_STATION_COUNT_ONE_LINE 38
#define VIEWTUBE_NUMBER_OF_LINES 2


void initialize_one_line_station_lookup_table();
void initialize_six_line_station_lookup_table();
viewtube_map_position_t * get_train_positions_by_line(unsigned short line_id);
unsigned char * get_station_lookup_type_by_line(unsigned short line_id);
viewtube_map_position_t  * get_station_locations_by_line(unsigned short line_id);
unsigned short lookup_station_position_by_line(unsigned short line_id, unsigned short station, unsigned short lookup, unsigned short gap);

#endif